{% extends 'posts/base.html' %}
{% block main_banner %}



    {% if object_list.count <= 0 %}

      <div id="banner" class="container">
        <section>
            <p>There is no reviews about that university</p>
        </section>
    </div>

        {% else %}

         <div id="banner" class="container">
        <section>
            <p>Choose univesity you whant to explore</p>
        </section>
    </div>

        {% endif %}
{% endblock main_banner %}

{% block out_box_sections %}

    <div id="extra">
    <div class="container">
        <div class="row no-collapse-1">
            <section>
                    {% for uni in object_list %}
                            <ul>
                            <a href="{% url 'crouni-detail' uni.id %}" class="button">{{ uni }}</a>
                            </ul>
                        {% endfor %}
            </section>
       </div>
    </div>
</div>


{% if is_paginated %}
     <div id="banner" class="big">
        <section>
      {% if page_obj.has_previous %}
        <a href="?page=1"><strong>First</strong></a>
        <a href="?page={{ page_obj.previous_page_number }}"><strong>Previous</strong></a>
      {% endif %}

      {% for num in page_obj.paginator.page_range %}
        {% if page_obj.number == num %}
          <a href="?page={{ num }}"><strong>{{ num }}</strong></a>
        {% elif num > page_obj.number|add:'-3' and num < page_obj.number|add:'3' %}
          <a href="?page={{ num }}"><strong>{{ num }}</strong></a>
        {% endif %}
      {% endfor %}

      {% if page_obj.has_next %}
        <a href="?page={{ page_obj.next_page_number }}"><strong>Next</strong></a>
        <a href="?page={{ page_obj.paginator.num_pages }}"><strong>Last</strong></a>
      {% endif %}
    </section>
    </div>
{% endif %}
{% endblock out_box_sections %}